/*-
 * ============LICENSE_START=======================================================
 * SDC
 * ================================================================================
 * Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */
import { NgModule } from "@angular/core";
import { HttpModule } from "@angular/http";
import { FormsModule } from "@angular/forms";
import { BrowserModule } from "@angular/platform-browser";
import { CompositionPanelHeaderComponent } from "./panel-header.component";
import { UiElementsModule } from './../../../../components/ui/ui-elements.module';
import { ValueEditComponent } from './../../../../components/ui/forms/value-edit/value-edit.component';
import { SdcUiComponentsModule } from "sdc-ui/lib/angular";
import { ModalFormsModule } from "app/ng2/components/ui/forms/modal-forms.module";

@NgModule({
    declarations: [
        CompositionPanelHeaderComponent
    ],
    imports: [
        BrowserModule,
        FormsModule,
        HttpModule,
        UiElementsModule,
        SdcUiComponentsModule,
        ModalFormsModule
    ],
    entryComponents: [
        CompositionPanelHeaderComponent, ValueEditComponent
    ],
    exports: [
        CompositionPanelHeaderComponent
    ],
})
export class CompositionPanelHeaderModule {

}
