/*
 * Copyright © 2016-2018 European Support Limited
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.openecomp.sdcrests.vsp.rest.mapping;

import static org.junit.Assert.assertEquals;

import org.junit.Test;
import org.openecomp.sdc.vendorsoftwareproduct.types.composition.Network;
import org.openecomp.sdcrests.vendorsoftwareproducts.types.NetworkDto;

/**
 * This class was generated.
 */
public class MapNetworkToNetworkDtoTest {

    @Test()
    public void testConversion() {

        final Network source = new Network();

        final String name = "32b4cb6a-4d67-499e-aaa0-1965cc4bd057";
        source.setName(name);

        final boolean dhcp = false;
        source.setDhcp(dhcp);

        final NetworkDto target = new NetworkDto();
        final MapNetworkToNetworkDto mapper = new MapNetworkToNetworkDto();
        mapper.doMapping(source, target);

        assertEquals(name, target.getName());
        assertEquals(dhcp, target.isDhcp());
    }
}
