/*
 * ============LICENSE_START=======================================================
 *  Copyright (C) 2019 Nordix Foundation
 *  ================================================================================
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  SPDX-License-Identifier: Apache-2.0
 *  ============LICENSE_END=========================================================
 */

package org.openecomp.sdc.vendorsoftwareproduct.types;

import java.nio.ByteBuffer;
import lombok.Getter;

@Getter
public class OnboardPackage {

    private final String filename;
    private final String fileExtension;
    private final ByteBuffer fileContent;

    public OnboardPackage(final String filename, final String fileExtension, final ByteBuffer fileContent) {
        this.filename = filename;
        this.fileExtension = fileExtension;
        this.fileContent = fileContent;
    }

}
